## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global rdnn        dev.geopjr.Tuba

Name:           tuba
Version:        0.6.2
Release:        %autorelease
Summary:        Browse the Fediverse
License:        GPL-3.0-only
URL:            https://tuba.geopjr.dev/
Source:         https://github.com/GeopJr/Tuba/archive/v%{version}/Tuba-%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  vala
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(gtksourceview-5)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)

# optional for features
BuildRequires:  pkgconfig(libspelling-1)
BuildRequires:  pkgconfig(libwebp)

# for desktop-file-validate command
BuildRequires:  desktop-file-utils
# for appstream-util command
BuildRequires:  libappstream-glib

# for ownership of icon parent directories
Requires:       hicolor-icon-theme


%description
Explore the federated social web with Tuba for GNOME. Stay connected to your
favorite communities, family and friends with support for popular Fediverse
platforms like Mastodon, GoToSocial, Akkoma & more!


%prep
%autosetup -n Tuba-%{version} -p 1


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{rdnn}


%check
# The .desktop and .metainfo.xml files are validated during the test suite, so
# we don't need to run those validate commands separately.
%meson_test


%files -f %{rdnn}.lang
%license LICENSE
%doc README.md
%{_bindir}/%{rdnn}
%{_datadir}/applications/%{rdnn}.desktop
%{_datadir}/glib-2.0/schemas/%{rdnn}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{rdnn}*.svg
%{_metainfodir}/%{rdnn}.metainfo.xml


%changelog
## START: Generated by rpmautospec
* Wed Jan 17 2024 Carl George <carlwgeorge@fedoraproject.org> - 0.6.2-1
- Update to version 0.6.2 rhbz#2258682

* Wed Jan 03 2024 Carl George <carlwgeorge@fedoraproject.org> - 0.6.1-1
- Update to version 0.6.1 rhbz#2255722

* Sun Sep 24 2023 Carl George <carlwgeorge@fedoraproject.org> - 0.5.0-1
- Update to version 0.5.0, resolves rhbz#2240242

* Fri Aug 11 2023 Carl George <carlwgeorge@fedoraproject.org> - 0.4.1-1
- Update to version 0.4.1, resolves rhbz#2229404

* Fri Jul 28 2023 Carl George <carl@george.computer> - 0.4.0-2
- Enable spellcheck support
- Rename appdata file to metainfo
- Run test suite

* Fri Jul 21 2023 Carl George <carl@george.computer> - 0.4.0-1
- Update to version 0.4.0, resolves rhbz#2223813

* Tue Jun 20 2023 Carl George <carl@george.computer> - 0.3.2-1
- Initial package
- Resolves: rhbz#2182165
## END: Generated by rpmautospec
